## Create a destination address `client.emailRouting.addresses.create(AddressCreateParamsparams, RequestOptionsoptions?): Address` **post** `/accounts/{account_id}/email/routing/addresses` Create a destination address to forward your emails to. Destination addresses need to be verified before they can be used. ### Parameters - `params: AddressCreateParams` - `account_id: string` Path param: Identifier. - `email: string` Body param: The contact email address of the user. ### Returns - `Address` - `id?: string` Destination address identifier. - `created?: string` The date and time the destination address has been created. - `email?: string` The contact email address of the user. - `modified?: string` The date and time the destination address was last modified. - `tag?: string` Destination address tag. (Deprecated, replaced by destination address identifier) - `verified?: string` The date and time the destination address has been verified. Null means not verified yet. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const address = await client.emailRouting.addresses.create({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', email: 'user@example.com', }); console.log(address.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "ea95132c15732412d22c1476fa83f27a", "created": "2014-01-02T02:20:00Z", "email": "user@example.com", "modified": "2014-01-02T02:20:00Z", "tag": "ea95132c15732412d22c1476fa83f27a", "verified": "2014-01-02T02:20:00Z" } } ```